/*
 * d_prhdr.c
 *
 * $Source: /source/MASTER/garden/datlib/RCS/d_prhdr.c,v $
 * $Date: 22/.1/.2 .0:.4:.3 $
 * $Author: holtzman $
 * $Locker:  $
 *
 * This file is part of the dat library.
 *
 * d_prhdr(d,fp)
 *
 * $Log:	d_prhdr.c,v $
 * Revision 1.4  22/.1/.2  .0:.4:.3  holtzman
 * Removed some #includes
 * 
 * Revision 1.3  90/12/08  03:52:18  kaboom
 * Replaced under RCS, moved copyright notice to copyright.h.
 * 
 * Revision 1.2  89/01/13  02:43:57  jwang
 * Add M.I.T. copyright message.
 * 
 * Revision 1.1  85/06/29  00:08:35  musicus
 * Initial revision
 * 
 *
 *	prints in a nice form the descriptors of the dat file d onto buffered
 *	file pointer fp
 */

static char rcsid[] = "$Header: /source/MASTER/garden/datlib/RCS/d_prhdr.c,v 1.4 22/.1/.2 .0:.4:.3 holtzman Exp $" ;

#include "copyright.h"
/* #include <stdio.h> */
#include "dat.h"
/* #include <ctype.h> */
/* #include <sys/types.h> */
/* #include <sys/stat.h> */

#define	TABSTOP	8

d_prhdr(d,fp)
DATFILE *d;
FILE *fp;
{
	struct d_token *phdr;
	
	phdr = d->db_h;
	if(phdr == (struct d_token *)-1)
		fprintf(fp,"ORDINARY FILE: %s\n",d->db_name);
	else
		fprintf(fp,"DAT FILE: %s\n",d->db_name);
	if(phdr == (struct d_token *)-1 || phdr == (struct d_token *)NULL)
	{
		fputs("   (No header information available)\n",fp);
	}
	else
	{
		do
		{
			register char *sptr;

			if(strlen(phdr->d_key) <= TABSTOP-5)
			{
				fprintf(fp,"   %s:\t\t",phdr->d_key);
			}
			else
			{
				fprintf(fp,"   %s:\t",phdr->d_key);
			}
			for(sptr=phdr->d_value ; *sptr ; sptr++)
			{
				fputc(*sptr,fp);
				if(*sptr == '\n')
				{
					fputc('\t',fp);
					fputc('\t',fp);
				}
			}
			fputc('\n',fp);
		} while (phdr = phdr->d_next);
	}
}
